
/* demo_key.h: Sony Demo Key Driver.
 *
 * Copyright 2016 Sony Corporation.
 * Author: Sony Corporation.
 *
 * This package is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _DEMO_KEY_H_
#define _DEMO_KEY_H_

#include <linux/types.h>

//#define _DEMO_KEY_LF_
#undef _DEMO_KEY_LF_

/* AD KEY */
/* AD2 Center */
#ifdef _DEMO_KEY_LF_
	#define KEY_DEMO_IN					222
	#define KEY_DEMO_AUDIO				187
#else
	#define KEY_DEMO_IN					197
	#define KEY_DEMO_AUDIO				177
#endif
#define KEY_DEMO_BT					160
#define KEY_DEMO_VOL_P				139
#define KEY_DEMO_VOL_M				116
#define KEY_DEMO_USB_PLAY			93
#define KEY_DEMO_USB_FF				70
#define KEY_DEMO_USB_LOAD			47
#define KEY_DEMO_VOL_RST			24

/* AD2 MIN */
#ifdef _DEMO_KEY_LF_
	#define KEY_DEMO_IN_MIN				217
	#define KEY_DEMO_AUDIO_MIN			180
#else
	#define KEY_DEMO_IN_MIN				192
	#define KEY_DEMO_AUDIO_MIN			170
#endif
#define KEY_DEMO_BT_MIN				154
#define KEY_DEMO_VOL_P_MIN			132
#define KEY_DEMO_VOL_M_MIN			109
#define KEY_DEMO_USB_PLAY_MIN		87
#define KEY_DEMO_USB_FF_MIN			65
#define KEY_DEMO_USB_LOAD_MIN		43
#define KEY_DEMO_VOL_RST_MIN		22

/* AD2 MAX */
#ifdef _DEMO_KEY_LF_
	#define KEY_DEMO_IN_MAX				227
	#define KEY_DEMO_AUDIO_MAX			191
#else
	#define KEY_DEMO_IN_MAX				201
	#define KEY_DEMO_AUDIO_MAX			182
#endif
#define KEY_DEMO_BT_MAX				166
#define KEY_DEMO_VOL_P_MAX			145
#define KEY_DEMO_VOL_M_MAX			122
#define KEY_DEMO_USB_PLAY_MAX		99
#define KEY_DEMO_USB_FF_MAX			75
#define KEY_DEMO_USB_LOAD_MAX		50
#define KEY_DEMO_VOL_RST_MAX		26

/* Key value */
#define DEMO_KEY_VALUE_UP               ((__s32)0)
#define DEMO_KEY_VALUE_DOWN             ((__s32)1)

#endif /* _DEMO_KEY_H_ */



